<?php 
if(!file_exists($catalog."/css.php"))exit("Не надо этот файл открывать!");
$conf=file($catalog."/admin/conf/sett.txt");
for($n=0;$n<count($conf);$n++)$conf[$n]=trim($conf[$n]);
$size_img_cat=$conf[31];
include($catalog."/admin/db/zagl");include($catalog."/dict.php"); 
if (strpos($zagl,'новости')===false && strpos($zagl,'НОВОСТИ')===false && strpos($zagl,'Новости')===false) { 
if (strpos($zagl,'статьи')!==false || strpos($zagl,'СТАТЬИ')!==false || strpos($zagl,'Статьи')!==false) include($catalog."/dict1.php"); 
elseif (strpos($zagl,'Публикации')!==false || strpos($zagl,'ПУБЛИКАЦИИ')!==false || strpos($zagl,'Публикации')!==false) include($catalog."/dict2.php"); 
elseif (!is_file($catalog."/user_dict.php")) { if (copy($catalog."/dict2.php", $catalog."/user_dict.php")) include($catalog."/user_dict.php"); }
else include($catalog."/user_dict.php");
}
if(!isset($over))include_once($catalog."/func.php");
if(!isset($over))$over=true;
//include_once("$catalog/css.php"); //убрано для переноса стиля в head материнской страницы
$news1=array();
$news=array();
$d=opendir($catalog."/admin/db/news");
while(($e=readdir($d))!=false)
   {
     if($e =="." || $e ==".." || $e==".htaccess") continue;
     $news1[]=$e;
   }
closedir($d);

 foreach($news1 as $line)
 {
   $text=file("$catalog/admin/db/news/$line");
   $text[0]=trim($text[0]);
   $news[$text[0]]=$line;
 }
if(!isset($conf[37])|| $conf[37]!=2) krsort($news,SORT_NUMERIC);
else ksort($news,SORT_NUMERIC);
$arr_month=array("января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря");
$cat=array();
$id_cat=array();
$cat=file("$catalog/admin/db/cat.txt");

foreach($cat as $line)
 {
   $line=trim($line);
   $expl=explode("*",$line);
   $id_cat[$expl[0]]=$expl[1];
 }
echo"<div class='border_blok tmce'> ";
$i=0; 
// $col=3;//количество столбцов - не используется 
foreach($news as $line)

 {
  
   if($i==$conf[33])break;
   $text=file("$catalog/admin/db/news/$line");
   $foto=array();
   $foto=file("$catalog/admin/db/id_foto/$line");
   for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
   $get_date=getdate($text[0]);
   //настройки даты
   $view_date=date("d",$text[0]);
   if($conf[7]==1) $view_date.=".".date("m",$text[0]);
   else $view_date.=".".$arr_month[$get_date['mon']-1];

   if($conf[6]==1) $view_date.=".".date("y",$text[0]);
   else $view_date.=".".date("Y",$text[0]);

   if($conf[8]==1) $view_date.=" ".date("H:i",$text[0]);
   if($conf[7]==2)$view_date=str_replace("."," ",$view_date);

   if($conf[34]!="" && isset($text[4]))
     {
 //      $links1="<a href='$conf[34]?id=$line'>$text[2]</a>";
 //      $links2=	"<a href='$conf[34]?id=$line'>$text[3]</a>";
 $conf34 = str_ireplace(".html", "/", $conf[34]);
 $conf34 = str_ireplace(".php", "/", $conf34);
 
	   $links1="<a href='$conf34".$line.".html'>$text[2]</a>";
       $links2=	"<a href='$conf34".$line.".html'>$text[3]</a>";
	   $links_img="<a href='$conf34".$line.".html'>";
	   
     }
   else
    {
      $links1=$text[2];
      $links2=$text[3];
      $links_img="<a href='#' onclick='return false;'>";
	}

   if($conf[32]==1)
    {?>
     <div class='news_block_t valtop' style="padding:6px;  width:33%;display:inline-block; float:left; box-sizing: border-box;"   >
	<Div class='news_block_t_img' style="width:100%; overflow:hidden;  height:100px;" >
<?php echo $links_img;

echo '<img class=news_img_t alt="'.$text[2].'" src=';  
if (count($foto)) 	
{$foto0=trim($foto[0]);
$size = getimagesize ($catalog.'/admin/foto/'.$foto0); $wh=round($size[0]/$size[1],2);
$img_attr_wh="data-size=".$wh;
$script='onload=""';
echo '"'.$catalog.'/admin/foto/'.$foto0.'"  style="width:100%" '.$img_attr_wh ;}
else '"sg_cm/sg_images/null.jpg"  style="width:100%" '.$img_attr_wh; ?> 
/>
</a>
</div>

   <?php }
   if($conf[5]==1 ) echo "<div class=date_blok>$view_date</div>";
   if($conf[5]==3 ) echo "<span class=date_blok>$view_date</span> ";
   if($text[2]!="" && $conf[36]==1) echo "<span class=head_blok>$links1</span><br />";
   if($conf[35]==1 )echo "<span  class=resume_blok>$links2... </span> ";
   if($conf[5]==2 ) echo  "<div  class='date_blok alr'>$view_date</div> "; 
echo '</div>' ;
   $i++;

 }?>
 <script>
function imgAlign(){var w_border_blok=$(".border_blok").width();
if(w_border_blok>760) $(".news_block_t").css('width','25%');
if(w_border_blok>450 && w_border_blok<761) $(".news_block_t").css('width','33%');
if(w_border_blok>250 && w_border_blok<451) $(".news_block_t").css('width','50%');
if(w_border_blok<251) $(".news_block_t").css('width','100%');

$(".news_img_t").each(function(){ 
var tpp=this.parentNode.parentNode;
var w=tpp.clientWidth;
tpp.style.height=w+'px';
tpp.style.width=w+'px';
var size=this.getAttribute("data-size");
if (size>1) {
this.style.height='100%';this.style.width='';
var wimg=this.clientWidth;
var offs=(wimg-w)/2;offs=Math.round(offs);
this.style.marginLeft=-offs+'px';}
else {
var himg=this.clientHeight;
var offs=(himg-w)/2;offs=Math.round(offs);
this.style.marginTop=-offs+'px';}	

	
	
})}	
function alignHeight() { 

      var mainDivs = $(".news_block_t");
      var maxHeight = 0;
      for (var i = 0; i < mainDivs.length; ++i) {
        if (maxHeight < mainDivs[i].clientHeight) {
          maxHeight = mainDivs[i].clientHeight; 
        } 
      }
      for (var i = 0; i < mainDivs.length; ++i) {
        mainDivs[i].style.height = maxHeight + "px";
      }

}

$(window).load(function(){ imgAlign();
            alignHeight();});
$(window).resize(function(){  $(".news_block_t_img").width("100%"); imgAlign()
            $(".news_block_t").height("auto");alignHeight();});
</script>
<div class="imClear"></div>
<? if($conf[24]==1 && $conf[34]!="")
 {
   echo"<div style=float:$conf[25];>
      <table class=link_blok><tr><td>";
//	   $conf34=rtrim($conf[34], "/");
 
  foreach($id_cat as $k=>$v)
  {
  echo"<a href='$conf[34]?c=$k'>$v</a><br />";

//	echo"<a href='".$conf34.".php?c=$k'>$v</a><br />";
  }
if(count($news)) echo "<a href='$conf[34]'> ".$dict['Все новости']."</a>";

// if(count($news)) echo "<a href='".$conf34.".php'>Все новости</a>";
  
  echo "</td></tr></table>
    </div>";
 }
echo"</div>";


?>